<?php

namespace Drupal\teamtailor\Controller;

use Drupal\teamtailor\TeamtailorController;
use Drupal\Core\Controller\ControllerBase;

class CandidatesListController extends ControllerBase {

  public function content() {
    $data = [];
    $controller = \Drupal::service('teamtailor.controller');

    $job_data = $controller->getData();

    foreach ($job_data as $key => $job) {
      $data[$key]['job'] = [
        'id' => $key,
        'title' => $job['job']['title'],
      ];
      foreach ($job['candidates'] as $candidate_data) {
        $data[$key]['candidates'][] = $candidate_data;
      }
    }

    return [
      '#theme' => 'candidates_page',
      '#data' => $data,
    ];
  }

}
